﻿@model Avira.MarketingResearch.Model.ViewModels.Trend.MainTrendValueInsertUpdateDbViewModel
@using Avira.MarketingResearch.Model.ViewModels;

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithTrendTabAndLeftMenu.cshtml";
}
@*@{
    List<string> Roles = ViewBag.UserRoleList as List<string>;
    var isAuthordisable = Roles.Contains("Author") || Roles.Contains("Co-Author");
    var isApproverdisable = Roles.Contains("Approver") || Roles.Contains("Co-Approver");
}*@

@*<script src="~/Scripts/jquery-3.0.0.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.min.js"></script>*@
<script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>


<script type="text/javascript">
    $(document).ready(function () {

        $(".valueKeyUp").keyup(function (e) {
            var val = $(this).val();
            if (isNaN(val)) {
                val = val.replace(/[^0-9\.]/g, '');
                if (val.split('.').length > 2)
                    val = val.replace(/\.+$/, "");
            }
            $(this).val(val);
        });

        $(".btnValidate").click(function (e) {
            var selectedValue = $("#ValueConversionId option:selected").text();
            if (selectedValue == "Please select" || selectedValue == "" || selectedValue == undefined) {
                e.preventDefault();
                alert("Please select value from value dropdown");
            }
            else {
                return true;
            }
        });
    });
</script>



@using (Html.BeginForm("Index", "TrendValueMap", FormMethod.Post, new { @class = "" }))
{
<div id="content" class="content" style="margin-top:35px;">
    <!-- begin section-container -->
    @Html.Partial("_TrendDetails", Model.TrendModel)
    <!-- end page-header -->
    <!-- begin section-container -->
    @if (ViewBag.Message != null)
    {
        <div class="alert alert-danger alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
    }

    <div class="section-container section-with-top-border p-b-10">
        <div class="section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-8 -->
                <div class="col-lg-8">
                    <!-- begin panel -->
                    <div class="panel">
                        <div class="panel-heading">
                            <h4 class="panel-title">Values</h4>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-bordered table-hover table-striped table-td-valign-middle">
                                <thead>
                                    <tr class="inverse">
                                        <th class="text-center">Year</th>
                                        <th class="text-center" style="width:25%;">
                                            Value
                                            @Html.DropDownListFor(Model => Model.ValueConversionId, (SelectList)(ViewBag.ValueConversion), "Please select", new { @class = "form-control trendNames" })
                                        </th>
                                        <th class="text-center" style="width:25%;">Rationale</th>
                                        <th class="text-center">Time</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @Html.HiddenFor(e => e.TrendId)
                                    @for (int i = 0; i < Model.TrendValueInsertUpdate.Count; i++)
                                    {
                                        @Html.HiddenFor(e => e.TrendValueInsertUpdate[i].TrendId)
                                        @Html.HiddenFor(e => e.TrendValueInsertUpdate[i].Year)
                                        @Html.HiddenFor(e => e.TrendValueInsertUpdate[i].ImpactTypeId)
                                        @Html.HiddenFor(e => e.TrendValueInsertUpdate[i].ImpactTypeName)
                                        @Html.HiddenFor(e => e.TrendValueInsertUpdate[i].TimeTagName)
                                        @Html.HiddenFor(e => e.TrendValueInsertUpdate[i].TimeTagId)
                                        @Html.HiddenFor(e => e.TrendValueInsertUpdate[i].EndUser)
                                        @Html.HiddenFor(e => e.TrendValueInsertUpdate[i].TrendValue)
                                        <tr>
                                            <td class="text-center">@Model.TrendValueInsertUpdate[i].Year</td>
                                            <td class="text-center">
                                                @Html.TextBoxFor(e => e.TrendValueInsertUpdate[i].Amount, new { @class = "form-control form-control-sm valueKeyUp", width = "100px" })
                                                @*<input class="form-control form-control-sm valueKeyUp"
                    type="text" value="@Model.TrendValueInsertUpdate[i].Amount" width="100px" />*@
                                            </td>
                                            <td class="text-center">
                                                @Html.TextBoxFor(e => e.TrendValueInsertUpdate[i].Rationale, new { @class = "form-control form-control-sm", width = "100px" })

                                                @*<input class="form-control form-control-sm"
                    type="text" value="@Model.TrendValueInsertUpdate[i].Rationale" />*@
                                            </td>
                                            <td class="text-center">@Model.TrendValueInsertUpdate[i].TimeTagName</td>
                                            @Html.HiddenFor(e => Model.TrendValueInsertUpdate[i].TimeTagId)
                                            @if (Model.TrendValueInsertUpdate[i].TimeTagName == "Perennial")
                                            {
                                                break;
                                            }
                                        </tr>

                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- end panel -->
                </div>
                <!-- end col-8 -->
                <!-- begin col-4 -->
                <div class="col-lg-4 value-radio-portion">
                    <div class="importance-radio" style="padding-left:10%;">
                        <div class="row">
                            <div class="col-lg-4">
                                <h5 class="m-t-20">Importance</h5>
                                <div class="has-success">
                                    <div class="radio">
                                        @if (Model.ImportanceViewModel != null && Model.ImportanceViewModel.Count > 0)
                                        {
                                            @for (int i = 0; i < Model.ImportanceViewModel.Count; i++)
                                            {
                                                <label> @Html.RadioButtonFor(mod => mod.ImportanceId, Model.ImportanceViewModel[i].ImportanceId) @Model.ImportanceViewModel[i].ImportanceName</label>
                                            }
                                        }
                                    </div>
                                </div>

                            </div>
                            <div class="col-lg-8 p-t-10">
                                <div class="row">
                                    <div class="col-lg-6">
                                        <h5>Trend Value</h5>
                                    </div>
                                    <div class="col-lg-6">
                                        <input type="text" class="form-control" value="@ViewBag.TrendValue" disabled>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="impact-radio" style="padding-left:10%;">
                        <h5 class="m-t-20">Impact</h5>
                        <div class="has-error">
                            <div class="radio">
                                @if (Model.ImpactDirectionViewModel != null && Model.ImpactDirectionViewModel.Count > 0)
                                {
                                    @for (int i = 0; i < Model.ImpactDirectionViewModel.Count; i++)
                                    {
                                        <label>@Html.RadioButtonFor(m => m.ImpactDirectionId, Model.ImpactDirectionViewModel[i].ImpactDirectionId) @Model.ImpactDirectionViewModel[i].ImpactDirectionName</label>
                                    }
                                }
                            </div>
                        </div>
                    </div>
                    <div class="time-tag-radio m-t-40" style="padding-left:10%;">
                        <h4 class="p-b-25">Time-Tag</h4>
                        <form class="form-horizontal">
                            <div class="form-group form-group-sm">
                                <label class="col-lg-4 col-form-label">Direct</label>
                                <div class="col-lg-11">
                                    <input class="form-control" type="text" value="@ViewBag.Direct" disabled>
                                </div>
                            </div>
                            <div class="form-group form-group-sm">
                                <label class="col-lg-4 col-form-label">Indirect</label>
                                <div class="col-lg-11">
                                    <input class="form-control" type="text" value="@ViewBag.Indirect" disabled>
                                </div>
                            </div>
                            <div class="form-group form-group-sm">
                                <label class="col-lg-4 col-form-label">End User</label>
                                <div class="col-lg-11">
                                    <input class="form-control" type="text" value="@ViewBag.EndUser" disabled>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- end col-4 -->
            </div>
            <!-- end row -->
        </div>
    </div>
    <!-- begin section-container -->
    <div class="section-container section-with-top-border p-b-5">
        <div class="row">
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Author Notes</h4>
                    </div>
                    @*<textarea class="form-control no-rounded-corner"
                        rows="6">This is a form textarea.</textarea>*@
                    @*@Html.TextAreaFor(m => m.TrendNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner", @readonly = @isAuthordisable })*@
                    @Html.TextAreaFor(m => m.TrendNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script type="text/javascript">

                        CKEDITOR.replace('TrendNoteModel.AuthorRemark', {  // Define the toolbar groups as it is a more accessible solution.
                            height: 40,
                            toolbarGroups: [{
                                "name": "basicstyles",

                                "groups": ["basicstyles"]

                            },

                            {

                                "name": "links",

                                "groups": ["links"]

                            },

                            {

                                "name": "paragraph",

                                "groups": ["list", "blocks"]

                            },

                            {

                                "name": "document",

                                "groups": ["mode"]

                            },

                            {

                                "name": "insert",

                                "groups": ["insert"]

                            },

                            {

                                "name": "styles",

                                "groups": ["styles"]

                            },

                            {

                                "name": "about",

                                "groups": ["about"]

                            }

                            ],

                            // Remove the redundant buttons from toolbar groups defined above.

                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'

                        });

                    </script>
                </div>
            </div>
            <!-- end col-6 -->
            <!-- begin col-6 -->
            <div class="col-lg-6">
                <div class="panel panel-info" data-sortable-id="ui-widget-8">
                    <div class="panel-heading">
                        <div class="panel-heading-btn">
                            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                               data-click="panel-expand"><i class="fa fa-expand"></i></a>
                        </div>
                        <h4 class="panel-title">Approver Notes</h4>
                    </div>
                    @*<textarea class="form-control no-rounded-corner"
                        rows="6">This is a form textarea.</textarea>*@
                    @*@Html.TextAreaFor(m => m.TrendNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner", @readonly = @isApproverdisable })*@
                    @Html.TextAreaFor(m => m.TrendNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                    <script type="text/javascript">
                        CKEDITOR.replace('TrendNoteModel.ApproverRemark', {  // Define the toolbar groups as it is a more accessible solution.
                            height: 40,
                            toolbarGroups: [{

                                "name": "basicstyles",

                                "groups": ["basicstyles"]

                            },

                            {

                                "name": "links",

                                "groups": ["links"]

                            },

                            {

                                "name": "paragraph",

                                "groups": ["list", "blocks"]

                            },

                            {

                                "name": "document",

                                "groups": ["mode"]

                            },

                            {

                                "name": "insert",

                                "groups": ["insert"]

                            },

                            {

                                "name": "styles",

                                "groups": ["styles"]

                            },

                            {

                                "name": "about",

                                "groups": ["about"]

                            }

                            ],

                            // Remove the redundant buttons from toolbar groups defined above.

                            removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                        });
                    </script>
                </div>
            </div>
        </div>
        <!-- end row -->
    </div>
    <!-- end section-container -->
    <!-- end section-container -->
    @*<div class="section-container section-with-top-border p-b-10">
            <div style="text-align: center;">
                <p>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Previous</button>
                    <button type="submit" name="actionName" value="save" class="btn btn-grey m-b-5 btnValidate">Save</button>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Cancel</button>
                    <button type="submit" name="actionName" value="submit" class="btn btn-grey m-b-5 btnValidate">Submit</button>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Approve</button>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Reject</button>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Next</button>
                </p>
            </div>
        </div>*@
    @Html.Partial("_TrendAction")
    <!-- end section-container -->
    <!-- begin #footer -->
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>
}



